Get a Workspace
Endpoint used to get a workspace in Toolzz Bots.
Request Example
Section titled “Request Example”curl --request GET \ --url 'https://bots.toolzz.ai/api/v1/workspaces/{workspaceId}' \ --header 'Authorization: Bearer <token>'Response Example
Section titled “Response Example”{ "workspaces": { "id": "<string>", "name": "<string>", "icon": "<string>", "plan": "<string>", "createdAt": "<string>", "updatedAt": "<string>", "settings": {} }}Request description
Section titled “Request description”Access Token
Section titled “Access Token”| Parameter | Type | Description | Required |
|---|---|---|---|
Authorization | String | Access token (must contain “Bearer” before the token) | Yes |
URL Parameters (Path)
Section titled “URL Parameters (Path)”| Parameter | Type | Description | Required |
|---|---|---|---|
workspaceId | string | The unique identifier of the workspace to get. | Yes |
Response description
Section titled “Response description”| Key | Type | Description |
|---|---|---|
workspaces | object | Workspace information. |
workspaces.id | string | The workspace unique identifier. |
workspaces.name | string | The workspace name. |
workspaces.icon | string | The workspace visual appearance icon. |
workspaces.plan | enum<string> | The workspace plan. |
workspaces.createdAt | string | The workspace creation date. |
workspaces.updatedAt | string | The workspace last update date. |
workspaces.settings | object | The workspace settings. |
Security
Section titled “Security”To access this endpoint, it is necessary to send a valid access token through the authorization header (Authorization) of the request.